dots.v2.volumes.byVolume_id().delete()
Generated on 5 Nov 2026
from DoTs version
v1.23.0
Usage
client.v2.volumes.byVolume_id(volume_id).delete(requestConfiguration?: RequestConfiguration<object>): Promise<void>Description
To delete a block storage volume, destroying all data and removing it from your account, send a DELETE request to /v2/volumes/{volume_id}.
No response body will be sent back, but the response code will indicate success. Specifically, the response code will be a 204, which means that the action was successful with no returned body data.
Parameters
volume_idstring requiredExample:
7724db7c-e098-11e5-b522-000f53304e51The ID of the block storage volume.
Request Sample
More Information
See /v2/volumes/{volume_id} in the API reference for additional detail on responses, headers, parameters, and more.